Bug 61461 - Ubuntu Unity menu integration advertised in 4.0 release notes, but not present in official builds
Summary: Ubuntu Unity menu integration advertised in 4.0 release notes, but not presen...
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: high critical
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-25 20:54 UTC by Robinson Tryon (qubit)
Modified: 2014-07-16 22:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robinson Tryon (qubit) 2013-02-25 20:54:45 UTC
"Unity integration" is listed on both the Release Notes for 4.0 and the "4-0-new-features-and-fixes" page, however Ubuntu 12.04 and 12.10 users installing the 4.0.0.3 release build do not see this integration.

Links to Release Notes/Feature notes:
https://wiki.documentfoundation.org/ReleaseNotes/4.0
https://www.libreoffice.org/download/4-0-new-features-and-fixes/

Here's what the menu integration should look like:
https://www.libreoffice.org/assets/Uploads/EN-Project_images/4.0NewFeatures/GUI/Unitymenu.png

Here's a screenshot after installation on 12.10 (from the Ask site) showing that the menus do not match:
http://ask.libreoffice.org/upfiles/1360303007351769.png


Here's the first reporter of this bug (on the Ask site):
http://ask.libreoffice.org/en/question/11626/unity-integration-in-libreoffice-40-doesnt-work/

Related conversation on the QA list:
http://lists.freedesktop.org/archives/libreoffice-qa/2013-February/003738.html
Comment 1 Robinson Tryon (qubit) 2013-02-25 21:12:43 UTC
Per mmeeks, we should be able to get this integration from an Ubuntu PPA. Here's all the info I can dig up on LO in PPAs.

There is a LO PPA that has 3.6.x builds in it:
https://launchpad.net/~libreoffice/+archive/ppa

   - 3.6.4 for 12.10 and 13.04 - *Unity menu integration status unknown* 
   - 3.6.1 for 12.04 - *Unity menu integration status unknown* 

There is a pre-release PPA that has 4.0 builds:
https://launchpad.net/~libreoffice/+archive/libreoffice-prereleases

   - 4.0.0 alpha 1 - *Unity menu integration status unknown* 
   - 4.0.0 beta 2 - *Unity menu integration status unknown* 

Not a PPA, but Ubuntu 13.04 appears to have LO 4.0 rc2:
https://launchpad.net/ubuntu/raring/+source/libreoffice/1:4.0.0~beta2-0ubuntu2

---

I'd be very appreciative of anyone who can test these PPAs to determine which builds include unity menu integration. The 4.0 builds are higher-priority than the 3.6 builds.

Thanks!
Comment 2 Joel Madero 2013-02-25 21:26:02 UTC
adding Bjoern also as he might have some feedback as well
Comment 3 Joel Madero 2013-02-25 21:46:39 UTC
Might as well mark as NEW and prioritize as quite high as so many people are experiencing it. Even if it's not our bug we need to figure something out
Comment 4 Björn Michaelsen 2013-02-25 22:35:51 UTC
The unity integration was developed on a branch after LibreOffice 3.6 feature freeze. It thus didnt make it in the LibreOffice 3.6 release. It was however added to the Ubuntu packages for LibreOffice 3.6 released on Ubuntu 12.10 (Quantal). The LibreOffice 4 series has the feature integrated in the source (thus there is no need for Ubuntu to patch it in anymore, from now on) and is has been released as such to Ubuntu Raring:

 https://launchpad.net/ubuntu/+source/libreoffice/1:4.0.0~beta2-0ubuntu2

No vendor patching was needed anymore here.

The TDF LibreOffice builds are done in a way to work on very old generic Linux releases, which do not have the stuff available that is required to work with Unity -- you need to build a version on a new Ubuntu release to get this.

So:
- LibreOffice 3.5 had no unity integration (only the lo-menubar extension)
- LibreOffice 3.6 had no unity integration, but Ubuntu distro packages added it
- LibreOffice 4.0 has unity integration, but it needs to be build on a current system to take advantage of that. TDF builds dont do that, as they are required to run even on very old releases.
Comment 5 Robinson Tryon (qubit) 2013-02-26 03:05:37 UTC
I disagree with this being labeled "NOTABUG".

I think we still need to update the information posted in the Release Notes and on the "Features and Fixes" page to reflect the specific conditions under which Unity menu integration will work.

Our documentation should match the reality of the features provided by our builds. If they are in disagreement then we should have new builds, or new documention, or both.
Comment 6 Michael Meeks 2013-02-26 10:07:47 UTC
Hi Qubit (nice name :-)

> I think we still need to update the information posted in the Release Notes
> and on the "Features and Fixes" page to reflect the specific conditions under
> which Unity menu integration will work.

Fair cop :-) I fixed the 4.0 new features page; could you fix the wiki ?

Thanks !

Michael.
Comment 7 Robinson Tryon (qubit) 2013-02-26 14:33:36 UTC
(In reply to comment #6)
> > I think we still need to update the information posted in the Release Notes
> > and on the "Features and Fixes" page to reflect the specific conditions under
> > which Unity menu integration will work.
> 
> Fair cop :-) I fixed the 4.0 new features page; 

Hi Michael, thanks for the update. Which page on the website did you fix? I'm still not seeing any notes/addenda mentioned on the "4.0 new features and fixes" page:
https://www.libreoffice.org/download/4-0-new-features-and-fixes/

> could you fix the wiki ?
>

Yes, certainly. I've made another update to the Release Notes on the wiki to include the supported combinations of Ubuntu + LO:
https://wiki.documentfoundation.org/ReleaseNotes/4.0#GUI